Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework.adapter
Class AfterReturningAdviceInterceptor

    java.lang.Object
      org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor

All Implemented Interfaces:
  java.io.Serializable, org.aopalliance.aop.Advice, org.aopalliance.intercept.Interceptor, org.aopalliance.intercept.MethodInterceptor, AfterAdvice

    public class AfterReturningAdviceInterceptor

extends java.lang.Object
implements org.aopalliance.intercept.MethodInterceptor, AfterAdvice, java.io.Serializable

Interceptor to wrap am `AfterReturningAdvice`. Used internally by the AOP framework; application developers should not need to use this class directly.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`AfterReturningAdviceInterceptor(AfterReturningAdvice advice)` Create a new AfterReturningAdviceInterceptor for the given advice.

Method Summary
`java.lang.Object` | `invoke(org.aopalliance.intercept.MethodInvocation mi)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AfterReturningAdviceInterceptor

    public AfterReturningAdviceInterceptor(AfterReturningAdvice advice)

  Create a new AfterReturningAdviceInterceptor for the given advice.

  Parameters:
    `advice` - the AfterReturningAdvice to wrap

Method Detail

### invoke

    public java.lang.Object invoke(org.aopalliance.intercept.MethodInvocation mi)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `org.aopalliance.intercept.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD